export const AUTH_SET_USER = 'AUTH_SET_USER';
export const AUTH_UPDATE_USER = 'AUTH_UPDATE_USER';
export const AUTH_UPDATING_USER = 'AUTH_UPDATING_USER';
export const AUTH_SET_LOGGING_IN = 'AUTH_SET_LOGGING_IN';
export const AUTH_SET_REGISTERING = 'AUTH_SET_REGISTERING';
export const AUTH_SET_STORAGE = 'AUTH_SET_STORAGE';

export const FILES_SET_FETCHING_ALL_FILES = 'FILES_SET_FETCHING_ALL_FILES'
export const FILES_SET_ALL_FILES = 'FILES_SET_ALL_FILES'
export const FILES_SET_FETCHED_ALL_FILES = 'FILES_SET_FETCHED_ALL_FILES'

export const FILES_SET_FETCHING_STARRED_FILES = 'FILES_SET_FETCHING_STARRED_FILES'
export const FILES_SET_STARRED_FILES = 'FILES_SET_STARRED_FILES'
export const FILES_SET_FETCHED_STARRED_FILES = 'FILES_SET_FETCHED_STARRED_FILES'

export const FILES_SET_FETCHING_TRASHED_FILES = 'FILES_SET_FETCHING_TRASHED_FILES'
export const FILES_SET_TRASHED_FILES = 'FILES_SET_TRASHED_FILES'
export const FILES_SET_FETCHED_TRASHED_FILES = 'FILES_SET_FETCHED_TRASHED_FILES'

export const FILES_SET_FILE_UPLOADING = 'FILES_SET_FILE_UPLOADING'
export const FILES_SET_FILE_UPLOADING_ERROR = 'FILES_SET_FILE_UPLOADING_ERROR'
export const FILES_SET_FILE_UPLOAD_PROGRESS = 'FILES_SET_FILE_UPLOAD_PROGRESS'

export const FILES_TRASH_FILE = 'FILES_TRASH_FILE'
export const FILES_STARRED_FILE = 'FILES_STARRED_FILE'
export const FILES_BASIC_FROM_STARRED_FILE = 'FILES_BASIC_FROM_STARRED_FILE'
export const FILES_BASIC_FROM_TRASHED_FILE = 'FILES_BASIC_FROM_TRASHED_FILE'
export const FILES_DELETE_FILE = 'FILES_DELETE_FILE'
export const FILES_SET_FILE_DOWNLOADING = 'FILES_SET_FILE_DOWNLOADING'
export const FILES_SET_FILE_DOWNLOAD_PROGRESS = 'FILES_SET_FILE_DOWNLOAD_PROGRESS'

export const FILES_SET_GETTING_FILE_DATA = 'FILES_SET_GETTING_FILE_DATA'
export const FILES_FILE_DATA = 'FILES_FILE_DATA'

export const FILES_SET_NEW_UPLOAD_FILE_NAME = 'FILES_SET_NEW_UPLOAD_FILE_NAME'
export const FILES_SET_NEW_DOWNLOAD_FILE_NAME = 'FILES_SET_NEW_DOWNLOAD_FILE_NAME'

export const FILES_RENAME_STARRED_FILE = 'FILES_RENAME_STARRED_FILE'
export const FILES_RENAME_BASIC_FILE = 'FILES_RENAME_BASIC_FILE'

export const FILES_UPDATE_MODIFICATION_TIME_BASIC = 'FILES_UPDATE_MODIFICATION_TIME_BASIC'
export const FILES_UPDATE_MODIFICATION_TIME_STARRED = 'FILES_UPDATE_MODIFICATION_TIME_STARRED'
export const FILES_UPDATE_MODIFICATION_TIME_TRASHED = 'FILES_UPDATE_MODIFICATION_TIME_TRASHED'